PHP Manual
Prev |  | Next

# cpdf_arc

(PHP 3 >= 3.0.8, PHP 4, PHP 5 <= 5.0.4)

cpdf_arc -- Draws an arc

## Description

bool cpdf_arc ( int pdf_document, float x_coor, float y_coor, float radius, float start, float end [, int mode] )

Draws an arc.

## Parameters

`pdf_document`

  The document handle, returned by cpdf_open().

`x`

  The x-coordinate of the center

`y`

  The y-coordinate of the center

`radius`

  The arc radius

`start`

  The starting angle, in degrees

`end`

  The ending angle, in degrees

`mode`

  The optional parameter `mode` determines the unit length. If it is 0 or omitted the default unit as specified for the page is used. Otherwise the coordinates are measured in postscript points disregarding the current unit.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

cpdf_circle()

Prev | Home | Next
cpdf_add_outline | Up | cpdf_begin_text